Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cz.vutbr.feec.utko.fojtoval.krypto.sifry
Class VigenereAutoklic

    java.lang.Object
      cz.vutbr.feec.utko.fojtoval.krypto.sifry.Sifra
          cz.vutbr.feec.utko.fojtoval.krypto.sifry.Polyalfa
              cz.vutbr.feec.utko.fojtoval.krypto.sifry.VigenereAutoklic

    public class VigenereAutoklic

extends Polyalfa

Sifrovani a desifrovani pomoci Vigenere - autoklic.

Constructor Summary
`VigenereAutoklic()`

Method Summary
`java.lang.String` | `abecedaLusToString()` Nevyuziva se, u tohoto typu sifry nelze urcit.
`java.lang.String` | `abecedaSifToString()` Nevyuziva se, u tohoto typu sifry nelze urcit.
`java.lang.String` | `lusti(java.lang.String zdroj)` Desifrovani Vigenere.
`void` | `setParametr(java.lang.Object parametr)` Nastaveni a kontrola parametru sifry.
`java.lang.String` | `sifruj(java.lang.String zdroj)` Sifrovani Vigenere.
`java.lang.String` | `vyslednyklic()` Prevod klice na String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VigenereAutoklic

    public VigenereAutoklic()

Method Detail

### sifruj

    public java.lang.String sifruj(java.lang.String zdroj)

  Sifrovani Vigenere.

  Specified by:
    `sifruj` in class `Sifra`
  Parameters:
    `zdroj` - otevreny text
  Returns:
    zasifrovany text

### setParametr

    public void setParametr(java.lang.Object parametr)

  Nastaveni a kontrola parametru sifry.

  Specified by:
    `setParametr` in class `Sifra`
  Parameters:
    `parametr` -

### vyslednyklic

    public java.lang.String vyslednyklic()

  Prevod klice na String.

  Specified by:
    `vyslednyklic` in class `Polyalfa`
  Returns:
    klic

### lusti

    public java.lang.String lusti(java.lang.String zdroj)

  Desifrovani Vigenere.

  Specified by:
    `lusti` in class `Sifra`
  Parameters:
    `zdroj` - zasifrovany text
  Returns:
    otevreny text

### abecedaLusToString

    public java.lang.String abecedaLusToString()

  Nevyuziva se, u tohoto typu sifry nelze urcit.

  Specified by:
    `abecedaLusToString` in class `Sifra`
  Returns:

### abecedaSifToString

    public java.lang.String abecedaSifToString()

  Nevyuziva se, u tohoto typu sifry nelze urcit.

  Specified by:
    `abecedaSifToString` in class `Sifra`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD